2010j available

Bug #582529 reported by Gary Lasker on 2010-05-18
16
This bug affects 2 people
Affects Status Importance Assigned to Milestone
tzdata (Ubuntu)
Undecided
Gary Lasker
Dapper
Undecided
Gary Lasker
Hardy
Undecided
Gary Lasker
Jaunty
Undecided
Gary Lasker
Karmic
Undecided
Gary Lasker
Lucid
Undecided
Gary Lasker
Maverick
Undecided
Gary Lasker

Bug Description

Binary package hint: tzdata

There is a new tzdata version 2010j:

  - Add new "Bahia_Banderas" time zone
  - Also includes po file fixes

description: updated
Gary Lasker (gary-lasker) wrote :
Gary Lasker (gary-lasker) wrote :

Test case for new "Bahia_Banderas" timezone:

Wrong result with 2010i, displays UTC since timezone is not defined:

$ LANG= TZ=America/Bahia_Banderas date
Wed May 19 00:45:15 America 2010

Correct result with 2010j, timezone is defined:

$ LANG= TZ=America/Bahia_Banderas date
Tue May 18 19:45:13 CDT 2010

Changed in tzdata (Ubuntu):
assignee: nobody → Gary Lasker (gary-lasker)
Martin Pitt (pitti) wrote :

Gary, thank you for preparing this. Usually we don't chagne the debian packaging for SRUs and just take the new upstream version, but those po file fixes look fine. Please upload and subscribe ubuntu-sru. You can also put the source packages and their source.changes on e. g. people.canonical.com, and I'll grab, sign, and sponsor them from there.

Martin Pitt (pitti) wrote :

2010j is already in maverick due to autosyncs.

Changed in tzdata (Ubuntu Maverick):
status: New → Fix Released
Changed in tzdata (Ubuntu Lucid):
assignee: nobody → Gary Lasker (gary-lasker)

Accepted into karmic-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in tzdata (Ubuntu Karmic):
status: New → Fix Committed
tags: added: verification-needed
Changed in tzdata (Ubuntu Lucid):
status: New → In Progress
Changed in tzdata (Ubuntu Jaunty):
status: New → In Progress
Changed in tzdata (Ubuntu Hardy):
status: New → In Progress
Changed in tzdata (Ubuntu Dapper):
status: New → In Progress
assignee: nobody → Gary Lasker (gary-lasker)
Changed in tzdata (Ubuntu Hardy):
assignee: nobody → Gary Lasker (gary-lasker)
Changed in tzdata (Ubuntu Jaunty):
assignee: nobody → Gary Lasker (gary-lasker)
Changed in tzdata (Ubuntu Karmic):
assignee: nobody → Gary Lasker (gary-lasker)
Gary Lasker (gary-lasker) wrote :

Hi Martin, the updates for Hardy, Jaunty and Lucid are ready now, and I've uploaded them here:

    http://people.canonical.com/~tremolux/tzdata_HARDY/

    http://people.canonical.com/~tremolux/tzdata_JAUNTY/

    http://people.canonical.com/~tremolux/tzdata_LUCID/

I'm working on the update for Dapper now. Many thanks!

Gary Lasker (gary-lasker) wrote :

I prepared the update for langpack-locales in Dapper, and this can be found here:

    http://people.canonical.com/~tremolux/tzdata_DAPPER/

Those should be all of the needed updates. Please let me know if anything needs to be changed, etc. Thanks again!

Martin Pitt (pitti) wrote :

Accepted tzdata into lucid-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in tzdata (Ubuntu Lucid):
status: In Progress → Fix Committed
Changed in tzdata (Ubuntu Jaunty):
status: In Progress → Fix Committed
Martin Pitt (pitti) wrote :

Accepted tzdata into jaunty-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in tzdata (Ubuntu Hardy):
status: In Progress → Fix Committed
Martin Pitt (pitti) wrote :

Accepted tzdata into hardy-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Martin Pitt (pitti) wrote :

langpack-locales accepted into dapper-proposed.

Changed in tzdata (Ubuntu Dapper):
status: In Progress → Fix Committed
Gary Lasker (gary-lasker) wrote :

I tested the tzdata update in -proposed for lucid, karmic, jaunty and hardy and all are good.

I'm having trouble seeing the langpack-locales update in my dapper chroot however. Martin, I'll check with you tomorrow to see what I may be doing wrong there.

Thanks!

Martin Pitt (pitti) wrote :

I just updated my chroots and dapper's locales package is now at 2.3.18.36, which seems fine?

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package tzdata - 2010j-0ubuntu0.10.04

---------------
tzdata (2010j-0ubuntu0.10.04) lucid-proposed; urgency=low

  * New upstream release 2010j: (LP: #582529)
    - America/Bahia_Banderas: Add new time zone
  * en.po: rename "Noronha" to "Fernando de Noronha"
    and "Ponape" to "Pohnpei" (thanks Clint Adams)
  * de.po: updated German translation from Holger Wansing
    (thanks Clint Adams)
  * debian/control: update maintainer fields
 -- Gary Lasker <email address hidden> Wed, 02 Jun 2010 11:18:02 -0400

Changed in tzdata (Ubuntu Lucid):
status: Fix Committed → Fix Released
Martin Pitt (pitti) wrote :

Keeping v-needed for dapper, I moved the other versions to -updates. Thanks!

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package tzdata - 2010j-0ubuntu0.9.10

---------------
tzdata (2010j-0ubuntu0.9.10) karmic-proposed; urgency=low

  * New upstream release 2010j: (LP: #582529)
    - America/Bahia_Banderas: Add new time zone
  * en.po: rename "Noronha" to "Fernando de Noronha"
    and "Ponape" to "Pohnpei" (thanks Clint Adams)
  * de.po: updated German translation from Holger Wansing
    (thanks Clint Adams)
 -- Gary Lasker <email address hidden> Tue, 01 Jun 2010 20:24:09 -0400

Changed in tzdata (Ubuntu Karmic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package tzdata - 2010j~repack-0ubuntu0.9.04

---------------
tzdata (2010j~repack-0ubuntu0.9.04) jaunty-proposed; urgency=low

  * New upstream release 2010j: (LP: #582529)
    - America/Bahia_Banderas: Add new time zone
 -- Gary Lasker <email address hidden> Wed, 02 Jun 2010 14:10:16 -0400

Changed in tzdata (Ubuntu Jaunty):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package tzdata - 2010j~repack-0ubuntu0.8.04.1

---------------
tzdata (2010j~repack-0ubuntu0.8.04.1) hardy-proposed; urgency=low

  * New upstream release 2010j: (LP: #582529)
    - America/Bahia_Banderas: Add new time zone
  * en.po: rename "Noronha" to "Fernando de Noronha"
    and "Ponape" to "Pohnpei" (thanks Clint Adams)
  * de.po: updated German translation from Holger Wansing
    (thanks Clint Adams)
 -- Gary Lasker <email address hidden> Wed, 02 Jun 2010 16:26:09 -0400

Changed in tzdata (Ubuntu Hardy):
status: Fix Committed → Fix Released
Gary Lasker (gary-lasker) wrote :

Hi Martin, Dapper is good. Turns out I had chroot problems but I was able to sort them and test the update successfully (and yes, the correct version for the locales package is 2.3.18.36).

Sorry for the glitch with the dapper testing. Thanks again for all your help!

Martin Pitt (pitti) wrote :

Thanks Gary! Copied to dapper-updates.

Changed in tzdata (Ubuntu Dapper):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers